<template>
  <div class="container">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: 'Container'
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.container {
    margin: 0 auto;
    width: 100%;
    padding: 0 15px;
    max-width: 1200px;
    box-sizing: border-box;
}

@media (max-width: 1200px){
    .container {
        max-width: 1000px;
    }
}

@media(max-width: 992px){
    .container {
        max-width: 780px;
    }
}

@media(max-width: 768px){
    .container {
        max-width: unset;
    }
}
</style>
